use crate::config::Config;
use crate::error::GeneralError;
use crate::openproject::client::Client;
use crate::openproject::root::RootClient;
use crate::openproject::user::GetMe;

pub(crate) async fn debug(config: Config) -> Result<(), GeneralError> {
    println!("test");

    let open_project_client = Client::from_config(&config.openproject);
    println!("base_url: {}", open_project_client.base_url);
    println!("base_url: will get root");
    let r = open_project_client.root().await?;
    println!("root: {:?}", r);
    let u = open_project_client.me().await?;
    println!("me: {:?}", u);

    Ok(())
}
